body seal-splash-screen {
  align-items      : center;
  background-color : #111827;
  bottom           : 0;
  color            : #F9FAFB;
  display          : flex;
  flex-direction   : column;
  justify-content  : center;
  left             : 0;
  opacity          : 1;
  pointer-events   : none;
  position         : fixed;
  right            : 0;
  top              : 0;
  transition       : opacity 400ms cubic-bezier(0.4, 0, 0.2, 1);
  visibility       : visible;
  z-index          : 999999;
}

body seal-splash-screen img {
  height: 100px;
}

body seal-splash-screen .spinner {
  align-items     : center;
  display         : flex;
  justify-content : space-between;
  margin-top      : 40px;
  width           : 56px;
}

body seal-splash-screen .spinner > div {
  -webkit-animation : seal-bouncedelay 1s infinite ease-in-out both;
  animation         : seal-bouncedelay 1s infinite ease-in-out both;
  background-color  : #1E96F7;
  border-radius     : 100%;
  display           : inline-block;
  height            : 12px;
  width             : 12px;
}

body seal-splash-screen .spinner .bounce1 {
  -webkit-animation-delay : -0.32s;
  animation-delay         : -0.32s;
}

body seal-splash-screen .spinner .bounce2 {
  -webkit-animation-delay : -0.16s;
  animation-delay         : -0.16s;
}

@-webkit-keyframes seal-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform : scale(0)
  }
  40% {
    -webkit-transform : scale(1.0)
  }
}

@keyframes seal-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform : scale(0);
    transform         : scale(0);
  }
  40% {
    -webkit-transform : scale(1.0);
    transform         : scale(1.0);
  }
}

body:not(.seal-splash-screen-hidden) {
  overflow : hidden;
}

body.seal-splash-screen-hidden seal-splash-screen {
  opacity    : 0;
  visibility : hidden;
}
